
/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#ifndef ___M_NETUTILS_H___
#define ___M_NETUTILS_H___

#include	<netdb.h>

void init_resolv();
int _endhostent_r();
int _sethostent_r(int stayopen);
struct hostent * _gethostbyaddr_r(
	const char *	addr,
	int		len,
	int		type,
	struct hostent * h_hp,
	char *		h_buf,
	int		h_size,
	int *		er);
struct hostent *
_gethostbyname_r(
	const char * name,
	struct hostent * result,
	char *buffer,
	int buflen,
	int * h_errnop);
struct hostent *
_gethostent_r(struct hostent *dest, char *buf, int buf_size, int *error);

#endif
